com.orsoncharts.style

## Class ChartStyleChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - com.orsoncharts.style.ChartStyleChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ChartStyleChangeEvent
      extends java.util.EventObject

  An event that signals a change to a `ChartStyle`.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartStyleChangeEvent(ChartStyle style)` Creates a new event.
    `ChartStyleChangeEvent(java.lang.Object source, ChartStyle style)` Creates a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChartStyle` | `getChartStyle()` Returns the chart style that this event is associated with.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartStyleChangeEvent

          public ChartStyleChangeEvent(ChartStyle style)

      Creates a new event.
      Parameters:
        `style` - the style (`null` not permitted).

    - #### ChartStyleChangeEvent

          public ChartStyleChangeEvent(java.lang.Object source,
                                       ChartStyle style)

      Creates a new event.
      Parameters:
        `source` - the source.
        `style` - the style (`null` not permitted).

  - ### Method Detail

    - #### getChartStyle

          public ChartStyle getChartStyle()

      Returns the chart style that this event is associated with.
      Returns:
        The style (never `null`).